shevek::avahi::browser::details Struct Reference

Details about a discovered service. These are internally created and may be examined by the application. More...

`#include <avahi.hh>`

## Public Member Functions

| details (AvahiIfIndex i, AvahiProtocol p)
| Create a details object. The application has no use for this.
| details (AvahiIfIndex i, AvahiProtocol p, Glib::ustring a, AvahiLookupResultFlags f)
| Create a details object. The application has no use for this.
| details ()
| Create a details object. The application has no use for this.
bool | operator< (details const &that) const
| Allow sorting so details can be put in a std::set.

## Public Attributes

AvahiIfIndex | interface
| Network interface.
AvahiProtocol | protocol
| Protocol. This is always tcp, because other protocols are never browsed by this class.
Glib::ustring | address
| Hostname or ip address of the server.
AvahiLookupResultFlags | flags
| Some flags about the result. Usually not useful; see the avahi documentation for possible values and their meanings.

## Detailed Description

Details about a discovered service. These are internally created and may be examined by the application.

The documentation for this struct was generated from the following file:

- src/avahi.hh